<?php

// Exit if accessed directly
if (!defined('ABSPATH')) {
    exit;
}

/**
 * Add the Redsys submenu to the Payments Tab
 *
 */
function wpbs_redsys_settings_page_tab($tabs)
{

    $tabs['redsys'] = 'Redsys';
    return $tabs;
}
add_filter('wpbs_submenu_page_settings_payment_tabs', 'wpbs_redsys_settings_page_tab', 1);

/**
 * Add the Redsys Settings to the Redsys Payments tab
 *
 */
function wpbs_redsys_settings_page_tab_redsys()
{
    $settings = get_option('wpbs_settings', array());
    $defaults = wpbs_redsys_settings_redsys_defaults();
    $redsys_api = get_option('wpbs_redsys_api', array());

    include 'views/view-payment-settings-redsys.php';
}
add_action('wpbs_submenu_page_payment_settings_tab_redsys', 'wpbs_redsys_settings_page_tab_redsys');

/**
 * Save Redsys API Keys in a separate option field.
 *
 */
function wpbs_redsys_save_api_keys($option_name, $old_value, $value)
{
    // If wpbs_settings are being saved
    if ($option_name != 'wpbs_settings') {
        return false;
    }

    // If isset redsys api post data
    if (!isset($_POST['wpbs_redsys_api'])) {
        return false;
    }

    // Do the update
    update_option('wpbs_redsys_api', $_POST['wpbs_redsys_api']);
};
add_action('updated_option', 'wpbs_redsys_save_api_keys', 10, 3);
