<?php 
$active_languages = (!empty($settings['active_languages']) ? $settings['active_languages'] : array());
$languages = wpbs_get_languages();


?>

<h2><?php echo __('Redsys', 'wp-booking-system-redsys') ?><?php echo wpbs_get_output_tooltip(__("Give the customer the option to pay with a credit card using Redsys.", 'wp-booking-system-redsys'));?></h2>


<!-- Enable Redsys -->
<div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
	<label class="wpbs-settings-field-label" for="payment_redsys_enable">
        <?php echo __( 'Active', 'wp-booking-system-redsys'); ?>
    </label>

	<div class="wpbs-settings-field-inner">
        <label for="payment_redsys_enable" class="wpbs-checkbox-switch">
            <input type="hidden" name="wpbs_settings[payment_redsys_enable]" value="0">
            <input data-target="#wpbs-payment-redsys" name="wpbs_settings[payment_redsys_enable]" type="checkbox" id="payment_redsys_enable"  class="regular-text wpbs-settings-toggle wpbs-settings-wrap-toggle" <?php echo ( !empty( $settings['payment_redsys_enable'] ) ) ? 'checked' : '';?> >
            <div class="wpbs-checkbox-slider"></div>
        </label>
	</div>
</div>

<div id="wpbs-payment-redsys" class="wpbs-payment-on-arrival-wrapper wpbs-settings-wrapper <?php echo ( !empty($settings['payment_redsys_enable']) ) ? 'wpbs-settings-wrapper-show' : '';?>">

    <?php if(!array_key_exists(wpbs_get_currency(), wpbs_redsys_currencies())): ?>
    <div class="wpbs-page-notice notice-error"> 
        <p><?php echo sprintf( __('Please note that Redsys does not support the %s currency.', 'wp-booking-system-redsys'), wpbs_get_currencies()[wpbs_get_currency()] ) ?></p>
    </div>
    <?php endif; ?>

    <!-- Payment Method Name -->
    <div class="wpbs-settings-field-translation-wrapper">
        <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
            <label class="wpbs-settings-field-label" for="payment_redsys_name">
                <?php echo __( 'Display name', 'wp-booking-system-redsys'); ?>
                <?php echo wpbs_get_output_tooltip(__("The payment method name that appears on the booking form.", 'wp-booking-system-redsys'));?>
            </label>

            <div class="wpbs-settings-field-inner">
                <input name="wpbs_settings[payment_redsys_name]" type="text" id="payment_redsys_name"  class="regular-text" value="<?php echo ( !empty( $settings['payment_redsys_name'] ) ) ? $settings['payment_redsys_name'] : $defaults['display_name_bizum'];?>" >
                <?php if (wpbs_translations_active()): ?><a href="#" class="wpbs-settings-field-show-translations"><?php echo __('Translations', 'wp-booking-system-redsys'); ?> <i class="wpbs-icon-down-arrow"></i></a><?php endif?>
            </div>
        </div>
        <?php if (wpbs_translations_active()): ?>
        <!-- Required Field Translations -->
        <div class="wpbs-settings-field-translations">
            <?php foreach ($active_languages as $language): ?>
                <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
                    <label class="wpbs-settings-field-label" for="payment_redsys_name_translation_<?php echo $language; ?>"><img src="<?php echo WPBS_PLUGIN_DIR_URL; ?>/assets/img/flags/<?php echo $language; ?>.png" /> <?php echo $languages[$language]; ?></label>
                    <div class="wpbs-settings-field-inner">
                        <input name="wpbs_settings[payment_redsys_name_translation_<?php echo $language; ?>]" type="text" id="payment_redsys_name_translation_<?php echo $language; ?>" value="<?php echo (!empty($settings['payment_redsys_name_translation_'. $language])) ? esc_attr($settings['payment_redsys_name_translation_'. $language]) : ''; ?>" class="regular-text" >
                    </div>
                </div>
            <?php endforeach;?>
        </div>
        <?php endif; ?>
    </div>

    <!-- Payment Method Name -->
    <div class="wpbs-settings-field-translation-wrapper">
        <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
            <label class="wpbs-settings-field-label" for="payment_redsys_description">
                <?php echo __( 'Description', 'wp-booking-system-redsys'); ?>
                <?php echo wpbs_get_output_tooltip(__("The payment method description that appears on the booking form.", 'wp-booking-system-redsys'));?>
            </label>

            <div class="wpbs-settings-field-inner">
                <input name="wpbs_settings[payment_redsys_description]" type="text" id="payment_redsys_description"  class="regular-text" value="<?php echo ( !empty( $settings['payment_redsys_description'] ) ) ? $settings['payment_redsys_description'] : $defaults['description'];?>" >
                <?php if (wpbs_translations_active()): ?><a href="#" class="wpbs-settings-field-show-translations"><?php echo __('Translations', 'wp-booking-system-redsys'); ?> <i class="wpbs-icon-down-arrow"></i></a><?php endif?>
            </div>
        </div>
        <?php if (wpbs_translations_active()): ?>
        <!-- Required Field Translations -->
        <div class="wpbs-settings-field-translations">
            <?php foreach ($active_languages as $language): ?>
                <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
                    <label class="wpbs-settings-field-label" for="payment_redsys_description_translation_<?php echo $language; ?>"><img src="<?php echo WPBS_PLUGIN_DIR_URL; ?>/assets/img/flags/<?php echo $language; ?>.png" /> <?php echo $languages[$language]; ?></label>
                    <div class="wpbs-settings-field-inner">
                        <input name="wpbs_settings[payment_redsys_description_translation_<?php echo $language; ?>]" type="text" id="payment_redsys_description_translation_<?php echo $language; ?>" value="<?php echo (!empty($settings['payment_redsys_description_translation_'. $language])) ? esc_attr($settings['payment_redsys_description_translation_'. $language]) : ''; ?>" class="regular-text" >
                    </div>
                </div>
            <?php endforeach;?>
        </div>
        <?php endif; ?>
    </div>

    <!-- Enable BIZUM -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
        <label class="wpbs-settings-field-label" for="payment_redsys_bizum_enable">
            <?php echo __( 'Enable BIZUM', 'wp-booking-system-redsys'); ?>
        </label>

        <div class="wpbs-settings-field-inner">
            <label for="payment_redsys_bizum_enable" class="wpbs-checkbox-switch">
                <input type="hidden" name="wpbs_settings[payment_redsys_bizum_enable]" value="0">
                <input data-target="#wpbs-payment-redsys-bizum" name="wpbs_settings[payment_redsys_bizum_enable]" type="checkbox" id="payment_redsys_bizum_enable"  class="regular-text wpbs-settings-toggle wpbs-settings-wrap-toggle" <?php echo ( !empty( $settings['payment_redsys_bizum_enable'] ) ) ? 'checked' : '';?> >
                <div class="wpbs-checkbox-slider"></div>
            </label>
        </div>
    </div>

    <div id="wpbs-payment-redsys-bizum" class="wpbs-payment-on-arrival-wrapper wpbs-settings-wrapper <?php echo ( !empty($settings['payment_redsys_bizum_enable']) ) ? 'wpbs-settings-wrapper-show' : '';?>">

        <!-- Payment Method Name -->
        <div class="wpbs-settings-field-translation-wrapper">
            <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
                <label class="wpbs-settings-field-label" for="payment_redsys_bizum_name">
                    <?php echo __( 'BIZUM Display name', 'wp-booking-system-redsys'); ?>
                    <?php echo wpbs_get_output_tooltip(__("The payment method name that appears on the booking form.", 'wp-booking-system-redsys'));?>
                </label>

                <div class="wpbs-settings-field-inner">
                    <input name="wpbs_settings[payment_redsys_bizum_name]" type="text" id="payment_redsys_bizum_name"  class="regular-text" value="<?php echo ( !empty( $settings['payment_redsys_bizum_name'] ) ) ? $settings['payment_redsys_bizum_name'] : $defaults['display_name_bizum'];?>" >
                    <?php if (wpbs_translations_active()): ?><a href="#" class="wpbs-settings-field-show-translations"><?php echo __('Translations', 'wp-booking-system-redsys'); ?> <i class="wpbs-icon-down-arrow"></i></a><?php endif?>
                </div>
            </div>
            <?php if (wpbs_translations_active()): ?>
            <!-- Required Field Translations -->
            <div class="wpbs-settings-field-translations">
                <?php foreach ($active_languages as $language): ?>
                    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
                        <label class="wpbs-settings-field-label" for="payment_redsys_bizum_name_translation_<?php echo $language; ?>"><img src="<?php echo WPBS_PLUGIN_DIR_URL; ?>/assets/img/flags/<?php echo $language; ?>.png" /> <?php echo $languages[$language]; ?></label>
                        <div class="wpbs-settings-field-inner">
                            <input name="wpbs_settings[payment_redsys_bizum_name_translation_<?php echo $language; ?>]" type="text" id="payment_redsys_bizum_name_translation_<?php echo $language; ?>" value="<?php echo (!empty($settings['payment_redsys_bizum_name_translation_'. $language])) ? esc_attr($settings['payment_redsys_bizum_name_translation_'. $language]) : ''; ?>" class="regular-text" >
                        </div>
                    </div>
                <?php endforeach;?>
            </div>
            <?php endif; ?>
        </div>

        <!-- Payment Method Name -->
        <div class="wpbs-settings-field-translation-wrapper">
            <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
                <label class="wpbs-settings-field-label" for="payment_redsys_bizum_description">
                    <?php echo __( 'BIZUM Description', 'wp-booking-system-redsys'); ?>
                    <?php echo wpbs_get_output_tooltip(__("The payment method description that appears on the booking form.", 'wp-booking-system-redsys'));?>
                </label>

                <div class="wpbs-settings-field-inner">
                    <input name="wpbs_settings[payment_redsys_bizum_description]" type="text" id="payment_redsys_bizum_description"  class="regular-text" value="<?php echo ( !empty( $settings['payment_redsys_bizum_description'] ) ) ? $settings['payment_redsys_bizum_description'] : $defaults['description_bizum'];?>" >
                    <?php if (wpbs_translations_active()): ?><a href="#" class="wpbs-settings-field-show-translations"><?php echo __('Translations', 'wp-booking-system-redsys'); ?> <i class="wpbs-icon-down-arrow"></i></a><?php endif?>
                </div>
            </div>
            <?php if (wpbs_translations_active()): ?>
            <!-- Required Field Translations -->
            <div class="wpbs-settings-field-translations">
                <?php foreach ($active_languages as $language): ?>
                    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
                        <label class="wpbs-settings-field-label" for="payment_redsys_bizum_description_translation_<?php echo $language; ?>"><img src="<?php echo WPBS_PLUGIN_DIR_URL; ?>/assets/img/flags/<?php echo $language; ?>.png" /> <?php echo $languages[$language]; ?></label>
                        <div class="wpbs-settings-field-inner">
                            <input name="wpbs_settings[payment_redsys_bizum_description_translation_<?php echo $language; ?>]" type="text" id="payment_redsys_bizum_description_translation_<?php echo $language; ?>" value="<?php echo (!empty($settings['payment_redsys_bizum_description_translation_'. $language])) ? esc_attr($settings['payment_redsys_bizum_description_translation_'. $language]) : ''; ?>" class="regular-text" >
                        </div>
                    </div>
                <?php endforeach;?>
            </div>
            <?php endif; ?>
        </div>
    </div>

    <!-- API Settings -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-heading wpbs-settings-field-large">
        <label class="wpbs-settings-field-label"><?php echo __('API Credentials','wp-booking-system-redsys') ?></label>
        <div class="wpbs-settings-field-inner">&nbsp;</div>
    </div>

    <!-- Documentation -->
    <div class="wpbs-page-notice notice-info wpbs-form-changed-notice"> 
        <p><?php echo __( 'If you need help getting your API Keys, <a target="_blank" href="https://www.wpbookingsystem.com/documentation/redsys-integration/">check out our guide</a> which offers step by step instructions.', 'wp-booking-system-redsys'); ?></p>
    </div>

    <!-- Environment -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
        <div class="wpbs-settings-field-inner">
            <label class="wpbs-settings-field-label" for="payment_redsys_test">
                <?php echo __( 'Enable Test Mode', 'wp-booking-system-redsys'); ?>
                <?php echo wpbs_get_output_tooltip(__("We recommend enabling test mode and testing the payment integration before going live.", 'wp-booking-system-redsys'));?>
            </label>
            <label for="payment_redsys_test" class="wpbs-checkbox-switch">
                <input type="hidden" name="wpbs_settings[payment_redsys_test]" value="0">
                <input name="wpbs_settings[payment_redsys_test]" type="checkbox" id="payment_redsys_test"  class="regular-text wpbs-settings-toggle" <?php echo ( !empty( $settings['payment_redsys_test'] ) ) ? 'checked' : '';?> >
                <div class="wpbs-checkbox-slider"></div>
            </label>
        </div>
    </div>

    <!-- Test Merchant Code -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
        <label class="wpbs-settings-field-label" for="payment_redsys_test_merchant_code">
            <?php echo __( 'Test Merchant Code', 'wp-booking-system-redsys'); ?>
        </label>

        <div class="wpbs-settings-field-inner">
            <input name="wpbs_redsys_api[payment_redsys_test_merchant_code]" type="text" id="payment_redsys_test_merchant_code"  class="regular-text " value="<?php echo ( !empty( $redsys_api['payment_redsys_test_merchant_code'] ) ) ? $redsys_api['payment_redsys_test_merchant_code'] : '999008881';?>" >
        </div>
    </div>

    <!-- Test API Key -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
        <label class="wpbs-settings-field-label" for="payment_redsys_test_api_key">
            <?php echo __( 'Test API Key', 'wp-booking-system-redsys'); ?>
        </label>

        <div class="wpbs-settings-field-inner">
            <input name="wpbs_redsys_api[payment_redsys_test_api_key]" type="text" id="payment_redsys_test_api_key"  class="regular-text " value="<?php echo ( !empty( $redsys_api['payment_redsys_test_api_key'] ) ) ? $redsys_api['payment_redsys_test_api_key'] : 'sq7HjrUOBfKmC576ILgskD5srU870gJ7';?>" >
        </div>
    </div>
    

    <!-- Live Merchant Code -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
        <label class="wpbs-settings-field-label" for="payment_redsys_live_merchant_code">
            <?php echo __( 'Live Merchant Code', 'wp-booking-system-redsys'); ?>
        </label>

        <div class="wpbs-settings-field-inner">
            <input name="wpbs_redsys_api[payment_redsys_live_merchant_code]" type="text" id="payment_redsys_live_merchant_code"  class="regular-text " value="<?php echo ( !empty( $redsys_api['payment_redsys_live_merchant_code'] ) ) ? $redsys_api['payment_redsys_live_merchant_code'] : '';?>" >
        </div>
    </div>

    <!-- Live API Key -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
        <label class="wpbs-settings-field-label" for="payment_redsys_live_api_key">
            <?php echo __( 'Live API Key', 'wp-booking-system-redsys'); ?>
        </label>

        <div class="wpbs-settings-field-inner">
            <input name="wpbs_redsys_api[payment_redsys_live_api_key]" type="text" id="payment_redsys_live_api_key"  class="regular-text " value="<?php echo ( !empty( $redsys_api['payment_redsys_live_api_key'] ) ) ? $redsys_api['payment_redsys_live_api_key'] : '';?>" >
        </div>
    </div>

    <!-- Live Merchant Terminal -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
        <label class="wpbs-settings-field-label" for="payment_redsys_live_terminal_id">
            <?php echo __( 'Merchant Terminal ID', 'wp-booking-system-redsys'); ?>
        </label>

        <div class="wpbs-settings-field-inner">
            <input name="wpbs_redsys_api[payment_redsys_live_terminal_id]" type="text" id="payment_redsys_live_terminal_id"  class="regular-text " value="<?php echo ( !empty( $redsys_api['payment_redsys_live_terminal_id'] ) ) ? $redsys_api['payment_redsys_live_terminal_id'] : '';?>" >
        </div>
    </div>
    


</div>